/*
	Copyright (C) 2008 David Fleer.

	This file is part of mkesa.

	mkesa is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 2 of the License, or
	(at your option) any later version.

	mkesa is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with mkesa.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <libfid.h>

typedef enum {
	MKESA_LITTLE_ENDIAN = 0,
	MKESA_BIG_ENDIAN = 1,
	MKESA_UNDEF_ENDIAN
} mkesa_endian;

typedef struct {

	fid_Uintsize in_uint_size;
	fid_Uintsize out_uint_size;

	mkesa_endian in_endian;
	mkesa_endian out_endian;
	
	char* input_file;
	char* output_file;

	unsigned char verbose;

} convesa_params_t;
